function F_bar = F_objective(x,P_load,P_gen)

% Decision variables
P_gc = x(1);
P_gd = x(2);

% Variables (everything in SI units)
eta = 0.9*0.9;
FC_c = fuel_consumption(P_gc, P_gen);
FC_d = fuel_consumption(P_gd, P_gen);

P_batt_c = P_gc - P_load;
P_batt_d = P_load - P_gd;

F_bar = ( FC_c*P_batt_d + FC_d*P_batt_c*eta ) / ( P_batt_d + P_batt_c*eta );
       
end